Bug 97942 - CTRL+SHIFT+SPACE not available under Tools>Customize>Keyboard
Summary: CTRL+SHIFT+SPACE not available under Tools>Customize>Keyboard
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: All All
: medium minor
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.2.0 target:5.1.2 target:5.0.6
Keywords: bibisected, regression
Depends on:
Blocks: Customize-Dialog-Keyboard Formatting-Mark
  Show dependency treegraph
 
Reported: 2016-02-17 18:07 UTC by FCqzsFMrsieN3hpkERKg
Modified: 2018-01-28 14:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FCqzsFMrsieN3hpkERKg 2016-02-17 18:07:28 UTC
The shortcut CTRL+SHIFT+SPACE is missing from the Tools>Customize>Keyboard menu, so can no longer be customized. "Insert Non-breaking space" is now an unchangeable function for this shortcut. Functionality is therefore lost. This functionality was last present in LibreOffice 4.x, to my knowledge.
Comment 1 Joel Madero 2016-02-17 18:43:16 UTC
Almost definitely done on purpose but leaving it to UX to decide this.
Comment 2 Heiko Tietze 2016-02-17 19:27:13 UTC
FWIW, shortcuts should be configurable. Even the ctrl+shift+space. Well spotted.
Comment 3 Cor Nouws 2016-02-17 19:35:05 UTC
I see the problem in 500alpha on 32 bits Ubuntu.
In 4.4.7.2 the key combination is available for customization.
Comment 4 Yousuf Philips (jay) (retired) 2016-02-22 18:29:13 UTC
Would be good to find out what was the reasoning behind the change, so let the bibisecting begin.
Comment 5 Joel Madero 2016-02-22 18:49:42 UTC
82f35303d91edf54aef1c41129df2921fb23c62c is the first bad commit
commit 82f35303d91edf54aef1c41129df2921fb23c62c
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Wed May 27 21:34:45 2015 +0800

    source-hash-7380228751ea2af89489f0bad5739d83a9900196
    
    commit 7380228751ea2af89489f0bad5739d83a9900196
    Author:     Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
    AuthorDate: Mon Apr 6 12:20:30 2015 +0900
    Commit:     Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
    CommitDate: Thu Apr 9 09:53:47 2015 +0900
    
        clean-up acccfg
    
        Change-Id: I23aad7cb2d70f81d39757f62e906f4a22e1b0145

:040000 040000 dac7b7a266bc55e95198892f630b15e1843a94f8 8f7255370743a23a1fadd5b6abc1d8e3dbcc345c M	opt

# bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
# good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
git bisect start 'latest' 'oldest'
# good: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
git bisect good 0c30a2c797b249d0cd804cb71554946e2276b557
# bad: [2ce02b2ce56f12b9fcb9efbd380596975a3a5686] source-hash-17d714eef491bda2512ba8012e5b3067ca19a5be
git bisect bad 2ce02b2ce56f12b9fcb9efbd380596975a3a5686
# good: [e4deb8a42948865b7b23d447c1547033cb54535b] source-hash-ce46c98dbeb3364684843daa5b269c74fce2af64
git bisect good e4deb8a42948865b7b23d447c1547033cb54535b
# good: [30a39c6a9e3c59d493447b25aaeb1f70f194bbd7] source-hash-be44ec8c28ce2af9644fcc58317dc1c9b20e2a21
git bisect good 30a39c6a9e3c59d493447b25aaeb1f70f194bbd7
# good: [1a8cb86ddf494004e5f68b16c1a4e7535a97a880] source-hash-4d48b51ad4481a3e2ed8bc79728d1c845f58aed6
git bisect good 1a8cb86ddf494004e5f68b16c1a4e7535a97a880
# good: [b4a31a3356155c60141cd57333f192072c4c642f] source-hash-8959ace44076273fc5398e8973005f5ba159b6c0
git bisect good b4a31a3356155c60141cd57333f192072c4c642f
# bad: [c6b88a57eaad6dcd512ad3f299e357939bff5dcf] source-hash-a6d14ec753d3100e385c8cd09a0aeab786810062
git bisect bad c6b88a57eaad6dcd512ad3f299e357939bff5dcf
# bad: [9718c13e342327fd7e22967125d049da224bf9ec] source-hash-04443db44edfa389eddef5667053f2fa5d7d5978
git bisect bad 9718c13e342327fd7e22967125d049da224bf9ec
# skip: [c75c67bd30851038790ae8d9b84bbe7a1d8a91e9] source-hash-6124ad4ca2c98e4c76cc7a32c4c8e538d9cd8b87
git bisect skip c75c67bd30851038790ae8d9b84bbe7a1d8a91e9
# good: [039f67110fa03176c5fe21749ffedd1d639a25bf] source-hash-0c2245a455a006aa9fcac83c208898f0fd4c63a8
git bisect good 039f67110fa03176c5fe21749ffedd1d639a25bf
# bad: [3110b58cb8f278d0b138d1d1ce3e966a537bb6c9] source-hash-f1e22f1a051c44a55759b7d44b0f0ef1b6f3c9de
git bisect bad 3110b58cb8f278d0b138d1d1ce3e966a537bb6c9
# bad: [6ca2d473ce04ab5fc9ec165078385d37028c4d04] source-hash-49a7470417d8ba32140b35318176e0e2593a66a5
git bisect bad 6ca2d473ce04ab5fc9ec165078385d37028c4d04
# good: [2c1f46f6433f623ad157b2876d1f6d9c772e6289] source-hash-9d5b66bb81c1649f07e93d7ca28789473c387e11
git bisect good 2c1f46f6433f623ad157b2876d1f6d9c772e6289
# bad: [82f35303d91edf54aef1c41129df2921fb23c62c] source-hash-7380228751ea2af89489f0bad5739d83a9900196
git bisect bad 82f35303d91edf54aef1c41129df2921fb23c62c
# first bad commit: [82f35303d91edf54aef1c41129df2921fb23c62c] source-hash-7380228751ea2af89489f0bad5739d83a9900196
Comment 6 Joel Madero 2016-02-22 18:50:01 UTC
Lowering to Minor - can slow down but won't prevent high quality work
Comment 7 Yousuf Philips (jay) (retired) 2016-02-22 19:28:56 UTC
So i see that Tomaz removed these two lines related to the space key and didnt add replacements to them.

KEY_SPACE     | KEY_SHIFT | KEY_MOD1,
KEY_SPACE     | KEY_SHIFT | KEY_MOD2,

Here is a patch to get those keys back in.

https://gerrit.libreoffice.org/22621

@Tomaz: Can you double check that your rewrite didnt leave any other key combinations out.
Comment 8 Commit Notification 2016-02-24 15:36:42 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6f66bd6a102239f3d24c257298dc1f6c2fd8199

tdf#97942 Return Ctrl+Shift+Space to the keyword customize

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-02-29 09:44:01 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9825b7fd3f928501fa59808d04af7823e6c9c74&h=libreoffice-5-1

tdf#97942 Return Ctrl+Shift+Space to the keyword customize

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-03-09 10:17:06 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0dcfdf37c14f16fe88ed9c0c9f096e2cea1fc03&h=libreoffice-5-0

tdf#97942 Return Ctrl+Shift+Space to the keyword customize

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.